Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154338 - X locks up when running xscreensaver hyperball
Summary: X locks up when running xscreensaver hyperball
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11
Version: 3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-10 10:09 UTC by David Juran
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-16 10:39:35 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
FreeDesktop.org 2999 None None None Never

Description David Juran 2005-04-10 10:09:09 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050323 Firefox/1.0.2 Fedora/1.0.2-1.3.1

Description of problem:
If hyperball, from xscreensaver-4.18-4 is left alone running for a few hours X locks up. The screen and keyboard is locked, but I still could log in on a serial console. I then noticed that X was hogging the CPU.

Below is a stacktrace of the hyperball process.

(gdb) bt
#0  0xb7f487a2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#1  0xb7d46a1d in ___newselect_nocancel () from /lib/tls/libc.so.6
#2  0xb7e2cfea in _XError () from /usr/X11R6/lib/libX11.so.6
#3  0xb7e2d434 in _XError () from /usr/X11R6/lib/libX11.so.6
#4  0xb7e0eb86 in XDrawLine () from /usr/X11R6/lib/libX11.so.6
#5  0x0804a624 in screenhack (d=0x98ff860, w=10485770) at hyperball.c:503
#6  0x0804b299 in main (argc=1, argv=0xbff5f514) at screenhack.c:678
#7  0xb7c9be23 in __libc_start_main () from /lib/tls/libc.so.6
#8  0x080494b1 in _start ()



Version-Release number of selected component (if applicable):
xorg-x11-6.8.2-1.FC3.13

How reproducible:
Always

Steps to Reproduce:
1. choose xscreensaver to use the hyperball screensaver
2. leave the computer alone for a coupple of hours

  

Additional info:

Comment 1 Sitsofe Wheeler 2005-04-10 19:59:43 UTC
Which X driver are you using?

Comment 2 David Juran 2005-04-10 20:02:01 UTC
radeon

Comment 3 Mike A. Harris 2005-04-11 11:33:08 UTC
Please file a bug report in X.Org bugzilla to track this issue,
which is located at http://bugs.freedesktop.org in the "xorg" component.

Once you've filed your report to X.Org, if you paste the URL here,
Red Hat will track the issue in X.Org bugzilla with upstream developers,
and will review any fixes that become available for potential inclusion
in future Fedora Core updates.



Comment 4 Mike A. Harris 2005-04-11 11:33:41 UTC
Setting status to "NEEDINFO", awaiting upstream bug URL for tracking.

Comment 5 Mike A. Harris 2005-04-15 11:26:06 UTC
ping

Comment 6 David Juran 2005-04-16 08:47:16 UTC
Was that a ping to me? I've created
https://bugs.freedesktop.org/show_bug.cgi?id=2999 and enterd it the 'External
bugzilla references' field. Or did I miss something?

Comment 7 Mike A. Harris 2005-04-16 10:39:35 UTC
Thanks for the update.

We'll track this in the X.Org bugzilla now and review any fixes that become
available for potential inclusion in future updates.

Setting status to "UPSTREAM" for tracking and future review.


Note You need to log in before you can comment on or make changes to this bug.